> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a survey response

> One response with its contact and the definition of the version it answered:
`{ response, contact, definition }`.



## OpenAPI

````yaml https://api.gleap.io/api-docs.json get /engagement/surveys/{surveyId}/responses/{responseId}
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /engagement/surveys/{surveyId}/responses/{responseId}:
    get:
      tags:
        - Engagement Survey
      summary: Get a survey response
      description: >-
        One response with its contact and the definition of the version it
        answered:

        `{ response, contact, definition }`.
      operationId: Response
      parameters:
        - in: path
          name: surveyId
          required: true
          schema:
            type: string
        - in: path
          name: responseId
          required: true
          schema:
            type: string
        - in: header
          name: project
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema: {}
      security:
        - jwt: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.